/** \file builtin_help.c

    Functions for printing usage information of builtin commands. This
	file is automatically generated from the file builtin_help.hdr and
	various help files in the doc_src directory.
*/

#include <stdlib.h>
#include <stdio.h>
#include <strings.h>
#include <wchar.h>
#include <sys/types.h>

#include "config.h"
#include "util.h"
#include "common.h"
#include "builtin_help.h"

/**
	Hashtable storing the help text
*/
static hash_table_t tbl;

char *builtin_help_get( wchar_t *cmd )
{
	return (char *)hash_get( &tbl, (void *)cmd );
}

void builtin_help_destroy()
{
	hash_destroy( &tbl );
}


void builtin_help_init()
{
	hash_init( &tbl, &hash_wcs_func, &hash_wcs_cmp );
    hash_put( &tbl, L"source",
		"" );

    hash_put( &tbl, L"and",
		"" );

    hash_put( &tbl, L"begin",
		"" );

    hash_put( &tbl, L"bg",
		"" );

    hash_put( &tbl, L"bind",
		"" );

    hash_put( &tbl, L"block",
		"" );

    hash_put( &tbl, L"break",
		"" );

    hash_put( &tbl, L"builtin",
		"" );

    hash_put( &tbl, L"case",
		"" );

    hash_put( &tbl, L"cd",
		"" );

    hash_put( &tbl, L"command",
		"" );

    hash_put( &tbl, L"commandline",
		"" );

    hash_put( &tbl, L"complete",
		"" );

    hash_put( &tbl, L"continue",
		"" );

    hash_put( &tbl, L"else",
		"" );

    hash_put( &tbl, L"end",
		"" );

    hash_put( &tbl, L"eval",
		"" );

    hash_put( &tbl, L"exec",
		"" );

    hash_put( &tbl, L"exit",
		"" );

    hash_put( &tbl, L"fg",
		"" );

    hash_put( &tbl, L"for",
		"" );

    hash_put( &tbl, L"function",
		"" );

    hash_put( &tbl, L"functions",
		"" );

    hash_put( &tbl, L"if",
		"" );

    hash_put( &tbl, L"jobs",
		"" );

    hash_put( &tbl, L"not",
		"" );

    hash_put( &tbl, L"or",
		"" );

    hash_put( &tbl, L"random",
		"" );

    hash_put( &tbl, L"return",
		"" );

    hash_put( &tbl, L"read",
		"" );

    hash_put( &tbl, L"set",
		"" );

    hash_put( &tbl, L"status",
		"" );

    hash_put( &tbl, L"switch",
		"" );

    hash_put( &tbl, L"ulimit",
		"" );

    hash_put( &tbl, L"while",
		"" );

    hash_put( &tbl, L"count",
		"" );

}
